
package de.ivu.elect.presentation.wahlvorschlag.action;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;
import de.ivu.elect.business.wahlvorschlag.entity.WahlvorschlagStatus;
import de.ivu.elect.presentation.wahl.CurrentWahlZulassungspruefungExtended;

public class ListeZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction extends AbstractListeZulassungAction {

  private static final long serialVersionUID = 1L;

  public ListeZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLVORSCHLAG_QS_ZULASSUNG_AENDERN_NACHTRAEGLICH_KEINE_ZULASSUNGSFAEHIGKEIT_BEIM_ZULASSUNGSAUSSCHUSS;
  }

  @Override
  public boolean isDisabledInternal(Liste liste, CurrentWahlZulassungspruefungExtended currentWahlZulassungspruefung) {
    return !currentWahlZulassungspruefung.isZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussZulaessig(liste);
  }

  @Override
  protected WahlvorschlagStatus getWahlvorschlagStatus() {
    return WahlvorschlagStatus.NICHT_MEHR_ZUGELASSEN_WEIL_ZULASSUNGSFAEHIGKEIT_VOR_ZULASSUNGSAUSSCHUSS_NICHT_VORLAG;
  }

  @Override
  public String getLabelKey() {
    return "liste.search.action.nicht.zulassen.da.zulassungsfaehigkeit.vor.zulassungsausschuss.nicht.vorlag";
  }
}
